Imports System.IO  ' namesraum für dateizugriffe

Module modDateiZugriff   
    Public Sub LeseDatenAusDatei()
        Dim strDateiname As String = "fragen.txt" '*** todo hier anpassen
        ' probe ob die datei eistiert
        If Not File.Exists(strDateiname) Then
            MessageBox.Show("Die für das Spiel erforderliche Datei" & vbCrLf & strDateiname &
                            " wurde nicht gefunden!", "Quiz", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Form1.Close()  ' programm beenden   
            Exit Sub
        End If
        ' inhalt der datei einlesen
        Dim strZeile As String
        Try
            Dim fs = New FileStream(strDateiname, FileMode.Open)
            Dim sr = New StreamReader(fs)
            Do Until sr.Peek() = -1
                strZeile = sr.ReadLine()
                Form1.lstAlleFragen.Items.Add(strZeile)
            Loop
            sr.Close()
        Catch ex As Exception
            MessageBox.Show("Die für das Spiel erforderliche Datei" & vbCrLf & strDateiname &
                            " konnte nicht gelesen!", "Quiz", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Form1.Close()  ' programm beenden   
        End Try
    End Sub
End Module
